protolude-0.1.10: A sensible set of defaults for writing custom Preludes.

Safe Haskell | Trustworthy
Language | Haskell2010

Panic

Synopsis

- data FatalError = FatalError {
  - msg :: Text
  }
- panic :: Text -> a

# Documentation

data FatalError #

Uncatchable exceptions thrown and never caught.

Constructors

FatalError |
Fields msg :: Text

Instances

Show FatalError # |
Methods showsPrec :: Int -> FatalError -> ShowS # show :: FatalError -> String # showList :: [FatalError] -> ShowS #
Exception FatalError # |
Methods toException :: FatalError -> SomeException # fromException :: SomeException -> Maybe FatalError # displayException :: FatalError -> String #

panic :: Text -> a #